Subject: Re: [PATCH v2 0/2] Add new "signature" atom

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 Jun 2023 09:16:58 +0900

Eric Sunshine <[email-masked]> writes:

> Moreover, I wondered if using `[01]` to avoid the repetition would be
> worthwhile:
>
>     case "$gpg_version" in
>     "gpg (GnuPG) "[01].*)
>
> though, of course, it's subjective whether that is clearer.

Excellent.

I'd say that the value of your version is primarily that it is much
less error prone than repeating the constant string part that can be
misspelt.  The glob limiting "begins with either '0' or '1' followed
by a dot" might be slightly less easier to understand for less trained
eyes, but eyes will not remain untrained forever, so it is OK.